freemarker.template

## Interface TemplateHashModel

All Superinterfaces:
  TemplateModel

All Known Subinterfaces:
  TemplateHashModelEx, TemplateHashModelEx2

All Known Implementing Classes:
  AllHttpScopesHashModel, ArrayModel, BeanModel, BooleanModel, CollectionModel, DateModel, DefaultMapAdapter, DOMNodeModel, EnumerationModel, Environment.Namespace, HttpRequestHashModel, HttpRequestParametersHashModel, HttpSessionHashModel, IteratorModel, JythonHashModel, JythonModel, JythonNumberModel, JythonSequenceModel, MapModel, NodeListModel, NodeListModel, NodeModel, NumberModel, ResourceBundleModel, RhinoFunctionModel, RhinoScriptableModel, ServletContextHashModel, SimpleHash, SimpleMapModel, StringModel, TaglibFactory

    public interface TemplateHashModel
    extends TemplateModel

"hash" template language data type: an object that contains other objects accessible through string keys (sub-variable names).

In templates they are used like `myHash.myKey` or `myHash[myDynamicKey]`.

### Field Summary

### Fields inherited from interface freemarker.template.TemplateModel

`NOTHING`

### Method Summary

All Methods Instance Methods Abstract Methods
`TemplateModel` `get(String key)` Gets a `TemplateModel` from the hash.
`boolean` `isEmpty()`

### Method Detail

#### get

    TemplateModel get(String key)
               throws TemplateModelException

Gets a `TemplateModel` from the hash.

Parameters:
  `key` - the name by which the `TemplateModel` is identified in the template.
Returns:
  the `TemplateModel` referred to by the key, or null if not found.
Throws:
  `TemplateModelException`

#### isEmpty

    boolean isEmpty()
             throws TemplateModelException

Throws:
  `TemplateModelException`